/*
 * Copyright (c) 2005-2007 CodeDroids ApS (http://www.codedroids.com)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * For further information about CodeDroids ApS, please see the
 * company website: http://www.codedroids.com
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * $LastChangedRevision: 177 $
 * $LastChangedDate: 2007-05-07 11:38:46 +0200 (Mon, 07 May 2007) $
 * 
 */

package com.codedroids.forms;

import org.w3c.dom.Node;


/**
 * &lt;text|hidden|password&gt;<br>
  * Children (besides the inherited):<br>
 */
public class InputField extends A_SingleValueField 
{
	private String type;
	
	/**
	 * @param form
	 * @param type
	 * @param cardinality
	 */
	public InputField(Form form, String type) {
		super(form);
		this.type = type;
	}
	/**
	 * @param form
	 * @param field
	 * @param type of input (most of the time it is the same as the tagName)
	 * @param cardinality of values, is multiple for radio.
	 */
	public InputField(Form form, Node field, String type) {
		super(form, field);
		this.type = type;
	}
	
	public String tagName() {
		return type;
	}
	
	public String type() {
		return type;
	}
	
}
