/*
 * Copyright (c) 2005-2007 CodeDroids ApS (http://www.codedroids.com)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * For further information about CodeDroids ApS, please see the
 * company website: http://www.codedroids.com
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * $LastChangedRevision: 145 $
 * $LastChangedDate: 2007-03-11 16:37:02 +0100 (Sun, 11 Mar 2007) $
 * 
 */

package com.codedroids.forms;

/**
 * Special render that returns an empty string for all fields.
 * Per default this is registered under the name "none" for backward compatibility.
 * 
 *
 */
public class NoneFieldRender implements I_FieldRender {

	public NoneFieldRender() {
		super();
	}

	public String render(I_Field field) throws UnknownFieldRenderException {
		return "";
	}

}
